io.etcd.jetcd.api

## Interface AuthRoleGrantPermissionRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AuthRoleGrantPermissionRequest, AuthRoleGrantPermissionRequest.Builder

    public interface AuthRoleGrantPermissionRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` name is the name of the role which will be granted the permission.
`com.google.protobuf.ByteString` `getNameBytes()` name is the name of the role which will be granted the permission.
`Permission` `getPerm()` perm is the permission to grant to the role.
`PermissionOrBuilder` `getPermOrBuilder()` perm is the permission to grant to the role.
`boolean` `hasPerm()` perm is the permission to grant to the role.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getName

    String getName()

     name is the name of the role which will be granted the permission.

`string name = 1;`

Returns:
  The name.

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

     name is the name of the role which will be granted the permission.

`string name = 1;`

Returns:
  The bytes for name.

#### hasPerm

    boolean hasPerm()

     perm is the permission to grant to the role.

`.authpb.Permission perm = 2;`

Returns:
  Whether the perm field is set.

#### getPerm

    Permission getPerm()

     perm is the permission to grant to the role.

`.authpb.Permission perm = 2;`

Returns:
  The perm.

#### getPermOrBuilder

    PermissionOrBuilder getPermOrBuilder()

     perm is the permission to grant to the role.

`.authpb.Permission perm = 2;`